import tables

# Table description for typical prep output
PrepData = {
    'timestamp': tables.Int64Col(pos=1),
    'p1': tables.Float32Col(pos=2),
    'q1': tables.Float32Col(pos=3),
    'p3': tables.Float32Col(pos=4),
    'q3': tables.Float32Col(pos=5),
    'p5': tables.Float32Col(pos=6),
    'q5': tables.Float32Col(pos=7),
    'p7': tables.Float32Col(pos=8),
    'q7': tables.Float32Col(pos=9),
    }

# Table description for raw data
RawData = {
    'timestamp': tables.Int64Col(pos=1),
    'va': tables.UInt16Col(pos=2),
    'vb': tables.UInt16Col(pos=3),
    'vc': tables.UInt16Col(pos=4),
    'ia': tables.UInt16Col(pos=5),
    'ib': tables.UInt16Col(pos=6),
    'ic': tables.UInt16Col(pos=7),
    }

# Table description for raw data plus 60 Hz notched current
RawNotchedData = dict(RawData)
RawNotchedData.update({
    'notch_ia': tables.UInt16Col(pos=8),
    'notch_ib': tables.UInt16Col(pos=9),
    'notch_ic': tables.UInt16Col(pos=10),
    })

